local ffi = require 'ffi'
local lj_include = require 'lj_include'

lj_include('asm_sockios')
local defs = {
    FIOSETOWN = '0x8901',
    SIOCSPGRP = '0x8902',
    FIOGETOWN = '0x8903',
    SIOCGPGRP = '0x8904',
    SIOCATMARK = '0x8905',
    SIOCGSTAMP = '0x8906',
    SIOCGSTAMPNS = '0x8907',
}
local format, cdef, C = string.format, ffi.cdef, ffi.C
for sym, val in pairs(defs) do
    if not pcall(function() return C[sym] end) then
        cdef(format("enum {%s = %s};", sym, val))
    end
end

