local ffi = require 'ffi'
local lj_include = require 'lj_include'
local defs = {
    CERASE = '0177',
    CMIN = '1',
    CQUIT = '034',
    CTIME = '0',
}
local format, cdef, C = string.format, ffi.cdef, ffi.C
for sym, val in pairs(defs) do
    if not pcall(function() return C[sym] end) then
        cdef(format("enum {%s = %s};", sym, val))
    end
end

